/** XtreemOS extension of BLCR: allo coordinated checkpoint/restart of multiple job-units by interrupted checkpoint/restart sequences
 *  copyright Heinrich Heine University, Duesseldorf, 2008
 *  authors:	John Mehnert-Spahn  / Ralph-Gordon Paul
 */


#define XOS_BLCR_PATH "/xtreemfs/blcr/"		
#define XOS_MSG_QUEUE XOS_BLCR_PATH "queue"	//  Message Queue 
#define XOS_MSG_QUEUE_ID 'x'			//  Message Queue Creation
#define XOS_MSG_MAX_LENGTH 30			// Maximun length of a Message

/* Message Queue Types */
#define XOS_MSG_CALLBACKS 1
#define XOS_MSG_CBS_DONE 2
#define XOS_MSG_CHKPT 3
#define XOS_MSG_CHKPT_DONE 4
#define XOS_MSG_RST_DONE 5
#define XOS_MSG_RESUME 6

/* Semaphore */
#define XOS_SEM_KEY XOS_BLCR_PATH "semaphore"
#define XOS_SEM_ID 'y'

typedef struct xos_message_s {
	long type;
	char msg[XOS_MSG_MAX_LENGTH];
} xos_message_t;


typedef struct prepare_env{
	int process_group_reference_type;
	int process_group_reference_id;
	char process_ids[256];
}prepare_env_t;

